Bug 821232 - kaffeine does not switch back fromn DVB-S2 to DB-S
kaffeine does not switch back fromn DVB-S2 to DB-S
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Mauro Carvalho Chehab
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-13 07:12 EDT by Jens Hektor
Modified: 2013-07-04 18:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 12:48:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Hektor 2012-05-13 07:12:28 EDT
Description of problem:

kaffeine still does not switchback from DVB-S2 to DVB-S

Version-Release number of selected component (if applicable):

Kernel 3.3.5-2.fc16.x86_64, kaffeine.x86_64 1.2.2-1.fc16

How reproducible:

It's enough trying to scan a satellite. After scanning a DVB-S2 transponder the problem occurs

Steps to Reproduce:
1. Switch to a DVB-S2 channel
2. Switch to a DVB-S channel, after a while kaffeine outputs a "read error from"
Actual results:

No image, no sound

Expected results:

Should be working

Additional info:

Hardware is a Haupauge HVR 4000, an "rmmod cx88_dvb ; rmmod videobuf_dvb ; rmmod dvb-core ; modprobe cx88_dvb" make it work again

There is no chance to get an actual channel listing of Astra 19.2E with kaffeine
Comment 1 Mauro Carvalho Chehab 2012-05-14 10:58:49 EDT
Please provide the kernel logs (dmesg) with dvb-core loaded with frontend_debug=1, with both the working kernel and the non-working one.
Comment 2 Dave Jones 2012-10-23 11:33:50 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Jens Hektor 2012-10-25 23:57:21 EDT
It's still the same.

The switch back from DVB-S2 to DVB-S leaves me without video & sound.
Reload of the kernel modules does help.

Please note that I did some of the proposed debugging under another bug id:

Comment 4 Fedora End Of Life 2013-01-16 10:21:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Fedora End Of Life 2013-02-13 12:48:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.